ONVIF::Device::Elements::GetDynamicDNSResponse(3)

NAME
ONVIF::Device::Elements::GetDynamicDNSResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetDynamicDNSResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   DynamicDNSInformation

     $element->set_DynamicDNSInformation($data);
     $element->get_DynamicDNSInformation();

METHODS

  new
 my $element = ONVIF::Device::Elements::GetDynamicDNSResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   DynamicDNSInformation =>  { # ONVIF::Device::Types::DynamicDNSInformation
     Type => $some_value, # DynamicDNSType
     Name => $some_value, # DNSName
     TTL =>  $some_value, # duration
     Extension =>  { # ONVIF::Device::Types::DynamicDNSInformationExtension
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL